From 48a1422bfab3ccbe7641f3c742fed8c00a65da33 Mon Sep 17 00:00:00 2001
From: Johannes <johannes.brechtmann@gmail.com>
Date: Wed, 15 May 2019 13:30:52 +0200
Subject: [PATCH 287/308] rooster: rebuild for libressl-2.9.2.

---
 srcpkgs/rooster/template | 7 ++++++-
 1 file changed, 6 insertions(+), 1 deletion(-)

diff --git a/srcpkgs/rooster/template b/srcpkgs/rooster/template
index d1cef8b8b42..9e5c5851faf 100644
--- a/srcpkgs/rooster/template
+++ b/srcpkgs/rooster/template
@@ -1,7 +1,7 @@
 # Template file for 'rooster'
 pkgname=rooster
 version=2.8.0
-revision=1
+revision=2
 build_style=cargo
 hostmakedepends="pkg-config python3"
 makedepends="libX11-devel libXmu-devel libressl-devel libsodium-devel"
@@ -15,3 +15,8 @@ checksum=49647992eb48ef7df4ffee897aeb8f651e403c86d08c5dac92bb96547951a68a
 case "$XBPS_TARGET_MACHINE" in
 	aarch64*|ppc64*) broken="undefined reference to rust_crypto_util_fixed_time_eq_asm https://github.com/DaGenix/rust-crypto/issues/383" ;;
 esac
+
+pre_build() {
+	cargo update --package openssl-sys --precise 0.9.46
+	cargo update --package openssl --precise 0.10.22
+}

